package models

import (

	"go-admin/common/models"

)

type LineSymbolPrice struct {
    models.Model
    
    Symbol string `json:"symbol" gorm:"type:varchar(15);comment:交易对"` 
    Status int `json:"status" gorm:"type:tinyint;comment:状态 1-启用 2-禁用"` 
    models.ModelTime
    models.ControlBy
}

func (LineSymbolPrice) TableName() string {
    return "line_symbol_price"
}

func (e *LineSymbolPrice) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineSymbolPrice) GetId() interface{} {
	return e.Id
}